# Corporate Actions

`GET` `/v1/quote/company-act`

Get corporate action history (splits, mergers, spin-offs, rights issues) for a security.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol, e.g. `AAPL.US` |
| `start_date` | string | No | Start date in `YYYY-MM-DD` format |
| `end_date` | string | No | End date in `YYYY-MM-DD` format |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/company-act?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | Yes | Corporate action list |
| `└ id` | string | No | Action ID |
| `└ act_desc` | string | No | Action description |
| `└ act_type` | string | No | Action type category |
| `└ action` | string | No | Action code (e.g. `DividendExDate`) |
| `└ date` | string | No | Event date (YYYYMMDD) |
| `└ date_str` | string | No | Short display date (MM.DD) |
| `└ date_type` | string | No | Date type label (e.g. Payment Date) |
| `└ date_zone` | string | No | Time zone (e.g. EST) |
| `└ delay_content` | string | No | Delay content description |
| `└ is_delay` | boolean | No | Whether the event is delayed |
| `└ live` | boolean | No | Whether currently live |
| `└ recent` | boolean | No | Whether this is a recent event |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "id": "622620",
        "action": "DividendExDate",
        "act_type": "Distribution Plan",
        "act_desc": "Cash dividend 0.27 USD",
        "date": "20260514",
        "date_str": "05.14",
        "date_type": "Payment Date",
        "date_zone": "EST",
        "delay_content": "",
        "is_delay": false,
        "recent": false,
        "live": null
      }
    ]
  }
}
```
